Subject: Re: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Howard Melman <[email-masked]>
Date: Wed, 22 Jun 2022 09:16:17 -0400

> On Jun 22, 2022, at 3:33 AM, Juri Linkov <[email-masked]> wrote:
> 
> Do you think it would help you to disable messages during activating these modes:
> 
>  (let (inhibit-message message-log-max)
>    (size-indication-mode)
>    (column-number-mode)
>    (show-paren-mode)
>    (recentf-mode)
>    (which-function-mode)
>    (global-hl-line-mode)
>    (context-menu-mode)
>    (global-so-long-mode)
>    (repeat-mode))
> 
>> Since nothing else printed out stuff I thought it might have been
>> a mistake that the new repeat-mode command did.
> 
> Strange, I see a lot of such stuff in the *Messages* buffer:
> 
>  Cleaning up the recentf list...
>  File ~/src/emacs/.git/MERGE_MSG removed from the recentf list
>  Cleaning up the recentf list...done (1 removed)
>  Repeat mode is enabled for 23 commands and 9 keymaps; see ‘describe-repeat-maps’
>  Starting new Ispell process /usr/bin/hunspell with american dictionary...done
>  Wrote ~/.emacs.d/.emacs.desktop.lock
>  Desktop: 1 frame, 24 buffers restored.

So just two more than me: desktop, which I don't use and ispell which 
I don't pre-start the sub-process.

I could inhibit messages for those two but it seems a little messy.
I'd rather not inhibit generally in case there are issues, I'd have to
do it in each of my files so that I'd still see loading timings.  I could
do it for recentf and repeat-mode but that feels like working around
their specific behavior.

I'd kinda like to inhibit stdout and leave stderr, to put it in those terms.
IMHO the above seems like unnecessary information. Yes
it's specific, but it's also of little use.  I enabled repeat-mode, I expect
it to be enabled, I don't really care that 23 commands and 9 keymaps
were affected vs some other number of commands; and I don't need 
help like "see describe-repeat-maps" every time I enable it.

Howard